# Get a Pay-In Instruction

> Coming soon, upon request — this feature is turned on for your tenant by the Aurea team. [Contact us](https://www.aureahub.com/contact)

One of the user's pay-in instructions.

## Overview

- `404` `BANK_RAMP_INSTRUCTION_NOT_FOUND` when it is not the user's.
- `payTo` is shown while the instruction is `open`, and is `null` after.

Called with the user's access token, in one environment (`isTestnet`). See [Bank Ramp: Local Rails](https://docs.aureahub.com/docs/guide-bank-local.md).

## Endpoint

### `GET /v1/ramp/bank/customer/instructions/{id}`

Authentication: bearer token required.

One of the user's pay-in instructions.

**Path parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string (uuid) | yes | The record's `id` |

**Query parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `isTestnet` | boolean | no | `true` for the sandbox; `false` or omitted for production |

**Responses**

`200` Instruction

```json
{
  "id": "6b1f2d9e-3c4a-4e8b-9f21-7a5d0c3e8b14",
  "environment": "production",
  "asset": "KES",
  "requestedAmount": "15000.00",
  "amountToPay": "15000.37",
  "expectedCredit": "14775.36",
  "status": "matched",
  "delivery": {
    "kind": "balance"
  },
  "payTo": null,
  "payBy": "2026-10-24T09:00:00.000Z",
  "matchedAt": "2026-10-23T09:14:31.000Z",
  "createdAt": "2026-10-23T09:00:00.000Z"
}
```

`404` Not the user's

```json
{
  "statusCode": 404,
  "error": "BankRampOperationError",
  "message": "No such instruction of the user.",
  "details": {
    "code": "BANK_RAMP_INSTRUCTION_NOT_FOUND"
  }
}
```

---

Web version: https://docs.aureahub.com/#local-instruction-get
